**xdgcfg** is a very simple wrapper around libconfig written in C++. It reads
and writes files in `${XDG_CONFIG_HOME}`. It creates subdirectories if
necessary.

### Dependencies

* C++ compiler (Tested: g++ 5/6/7/8)
* [cmake](https://cmake.org/)
* [pkgconfig](https://pkgconfig.freedesktop.org/wiki/)
* [libconfig++](https://github.com/hyperrealm/libconfig)
* [libxdg-basedir](http://repo.or.cz/w/libxdg-basedir.git)

### Usage

You can create dynamic and static libraries:

```SH
mkdir build
cd build
cmake ..
make
make install
```

Or just copy `xdgcfg.hpp` and `xdgcfg.cpp` into your project folder.

### Documentation

`xdgcfg.hpp` has explanatory comments in it and there is an
[example](src/example.cpp). The reference is also available at
[doc.schlomp.space/xdgcfg/](https://doc.schlomp.space/xdgcfg/classxdgcfg.html).
